BOOTPARAMD(8)

NAME
bootparamd, rpc.bootparamd - boot parameter server

SYNOPSIS
rpc.bootparamd [-ds] [-f file] [-r router]

DESCRIPTION
bootparamd is a server process that provides information to diskless clients necessary for booting. It consults the file /etc/bootparams. It should normally be started from /etc/rc.

This version will allow the use of aliases on the hostname in the /etc/bootparams file. The hostname returned in response to the booting client's whoami request will be the name that appears in the config file, not the canonical name. In this way you can keep the answer short enough so that machines that cannot handle long hostnames won't fail during boot.

While parsing, if a line containing just “+” is found, and the YP subsystem is active, the YP map bootparams will be searched immediately.

The options are as follows:

-d  Display the debugging information. The daemon does not fork in this case.

-f file
    Specify the file to read boot parameters from. Defaults to /etc/bootparams.

-r router
    Set the default router (a hostname or IP address). This defaults to the machine running the server.

-s  Log the debugging information with syslog.

FILES
/etc/bootparams
    default configuration file

SEE ALSO
bootparams(5), diskless(8)

AUTHORS
Originally written by Klas Heggemann <klas@nada.kth.se>.

BUGS
You may find the syslog loggings too verbose.

It's not clear if the non-canonical hack mentioned above is a good idea.

WARNING
If rpc.bootparamd is run on a system which is also running YP, your YP domainname will be made public information.